ApiDomains

List available Resend domains

GET
/domains/sync

Fetch all domains configured in your Resend account. Use this to see which domains you can select for your organization's email notifications. Requires a Resend API key configured via BYOK.

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard.

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/domains/sync"
{
  "domains": [
    {
      "id": "string",
      "name": "notifications.example.com",
      "status": "verified",
      "created_at": "2019-08-24T14:15:22Z",
      "region": "us-east-1",
      "records": [
        {
          "record": "string",
          "name": "string",
          "type": "string",
          "ttl": "string",
          "status": "string",
          "value": "string",
          "priority": 0
        }
      ]
    }
  ],
  "selected_domain_id": "string"
}
{
  "error": "string",
  "needsConfig": true
}
{
  "error": "Invalid API key",
  "message": "string"
}
{
  "error": "Invalid API key",
  "message": "string"
}